com.sun.grid.jgdi.configuration

## Interface ResourceUtilization

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceUtilizationImpl

      public interface ResourceUtilization
      extends GEObject

  Java representation of the cull object RUE_Type defined in sge_all_listsL.template

  Warning: The ResourceUtilization class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUtilized(ResourceDiagramEntry autilized)` Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `addUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)` Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `ResourceDiagramEntry` | `getUtilized(int index)` Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `int` | `getUtilizedCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `java.util.List<ResourceDiagramEntry>` | `getUtilizedList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `ResourceDiagramEntry` | `getUtilizedNonexclusive(int index)` Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `int` | `getUtilizedNonexclusiveCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `java.util.List<ResourceDiagramEntry>` | `getUtilizedNonexclusiveList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `double` | `getUtilizedNow()` Get the value of the utilizedNow attribute.
    `double` | `getUtilizedNowNonexclusive()` Get the value of the utilizedNowNonexclusive attribute.
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetUtilized()` Determine if any utilized attribute is set
    `boolean` | `isSetUtilizedNonexclusive()` Determine if any utilizedNonexclusive attribute is set
    `boolean` | `isSetUtilizedNow()` Determine if any utilizedNow attribute is set
    `boolean` | `isSetUtilizedNowNonexclusive()` Determine if any utilizedNowNonexclusive attribute is set
    `void` | `removeAllUtilized()` Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `void` | `removeAllUtilizedNonexclusive()` Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
    `ResourceDiagramEntry` | `removeUtilized(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `boolean` | `removeUtilized(ResourceDiagramEntry autilized)` Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `ResourceDiagramEntry` | `removeUtilizedNonexclusive(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
    `boolean` | `removeUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)` Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setUtilized(int index, ResourceDiagramEntry autilized)` Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setUtilizedNonexclusive(int index, ResourceDiagramEntry autilizedNonexclusive)` Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
    `void` | `setUtilizedNow(double aUtilizedNow)` Set the utilizedNow attribute.
    `void` | `setUtilizedNowNonexclusive(double aUtilizedNowNonexclusive)` Set the utilizedNowNonexclusive attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### setUtilizedNow

          void setUtilizedNow(double aUtilizedNow)

      Set the utilizedNow attribute.
      Parameters:
        `aUtilizedNow` - the new value for the utilizedNow attribute

    - #### getUtilizedNow

          double getUtilizedNow()

      Get the value of the utilizedNow attribute.
      Returns:
        the value of the utilizedNow attribute

    - #### isSetUtilizedNow

          boolean isSetUtilizedNow()

      Determine if any utilizedNow attribute is set
      Returns:
        `true` if the utilizedNow attribute is set

    - #### getUtilizedList

          java.util.List<ResourceDiagramEntry> getUtilizedList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes

    - #### getUtilizedCount

          int getUtilizedCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### getUtilized

          ResourceDiagramEntry getUtilized(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### addUtilized

          void addUtilized(ResourceDiagramEntry autilized)

      Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `autilized` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### setUtilized

          void setUtilized(int index,
                           ResourceDiagramEntry autilized)

      Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute
        `autilized` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### removeAllUtilized

          void removeAllUtilized()

      Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### removeUtilized

          ResourceDiagramEntry removeUtilized(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute or `null` if no attribute at this index is stored

    - #### removeUtilized

          boolean removeUtilized(ResourceDiagramEntry autilized)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `autilized` - the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute has been removed

    - #### isSetUtilized

          boolean isSetUtilized()

      Determine if any utilized attribute is set
      Returns:
        `true` if the utilized attribute is set

    - #### setUtilizedNowNonexclusive

          void setUtilizedNowNonexclusive(double aUtilizedNowNonexclusive)

      Set the utilizedNowNonexclusive attribute.
      Parameters:
        `aUtilizedNowNonexclusive` - the new value for the utilizedNowNonexclusive attribute

    - #### getUtilizedNowNonexclusive

          double getUtilizedNowNonexclusive()

      Get the value of the utilizedNowNonexclusive attribute.
      Returns:
        the value of the utilizedNowNonexclusive attribute

    - #### isSetUtilizedNowNonexclusive

          boolean isSetUtilizedNowNonexclusive()

      Determine if any utilizedNowNonexclusive attribute is set
      Returns:
        `true` if the utilizedNowNonexclusive attribute is set

    - #### getUtilizedNonexclusiveList

          java.util.List<ResourceDiagramEntry> getUtilizedNonexclusiveList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes

    - #### getUtilizedNonexclusiveCount

          int getUtilizedNonexclusiveCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### getUtilizedNonexclusive

          ResourceDiagramEntry getUtilizedNonexclusive(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### addUtilizedNonexclusive

          void addUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)

      Add a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `autilizedNonexclusive` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### setUtilizedNonexclusive

          void setUtilizedNonexclusive(int index,
                                       ResourceDiagramEntry autilizedNonexclusive)

      Set a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute
        `autilizedNonexclusive` - the new com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute

    - #### removeAllUtilizedNonexclusive

          void removeAllUtilizedNonexclusive()

      Remove all com.sun.grid.jgdi.configuration.ResourceDiagramEntry attributes.

    - #### removeUtilizedNonexclusive

          ResourceDiagramEntry removeUtilizedNonexclusive(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute or `null` if no attribute at this index is stored

    - #### removeUtilizedNonexclusive

          boolean removeUtilizedNonexclusive(ResourceDiagramEntry autilizedNonexclusive)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute.
      Parameters:
        `autilizedNonexclusive` - the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceDiagramEntry attribute has been removed

    - #### isSetUtilizedNonexclusive

          boolean isSetUtilizedNonexclusive()

      Determine if any utilizedNonexclusive attribute is set
      Returns:
        `true` if the utilizedNonexclusive attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.